CGAL 6.1.2 - Linear Cell Complex: CGAL::Cell_attribute_with_point< LCC, Info_, Tag, OnMerge, OnSplit > Class Template Reference

CGAL 6.1.2 - Linear Cell Complex

Loading...
Searching...
No Matches
List of all members
CGAL::Cell_attribute_with_point< LCC, Info_, Tag, OnMerge, OnSplit > Class Template Reference
Reference Manual » Classes

`#include <CGAL/Cell_attribute_with_point.h>`

## Inherits from

CGAL::Cell_attribute< LCC, Info_, Tag, OnMerge, OnSplit >.

Inherited by CGAL::Cell_attribute_with_point_and_id< LCC, Info_, Tag, OnMerge, OnSplit >.

## Definition

template<typename LCC, typename Info_, typename Tag, typename OnMerge, typename OnSplit>
class CGAL::Cell_attribute_with_point< LCC, Info_, Tag, OnMerge, OnSplit >

The class `Cell_attribute_with_point` represents an attribute containing a point and containing an information when `Info_` is different from `void`.

This class can typically be used to associate a point to each 0-cell of a combinatorial or a generalized map.

Is model of
  `CellAttributeWithPoint`

Template Parameters

  LCC | a model of the `LinearCellComplex` concept.
  Info_ | the type of the information contained in the attribute, `void` for no information. Equal to `void` by default.
  Tag | is `Tag_true` to enable the storage of a `Dart_descriptor` of the associated cell, `Tag_false` otherwise. Equal to `Tag_true` by default.
  OnMerge | a functor called when two attributes are merged. Equal to `Null_functor` by default.
  OnSplit | a functor called when one attribute is split in two. Equal to `Null_functor` by default.

See also
  `CGAL::Linear_cell_complex_min_items<d>`
  `CGAL::Linear_cell_complex_for_combinatorial_map<d,d2,LCCTraits,Items,Alloc>`
  `CGAL::Linear_cell_complex_for_generalized_map<d,d2,LCCTraits,Items,Alloc>`

Examples
  Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp.

## Types
typedef LCC::Point | Point

## Additional Inherited Members
Public Types inherited from CGAL::Cell_attribute< LCC, Info_, Tag, OnMerge, OnSplit >
typedef Info_ | Info
typedef Tag | Supports_cell_dart
typedef OnMerge | On_merge
typedef OnSplit | On_split
typedef CMap::Dart_descriptor | Dart_descriptor
typedef CMap::Dart_const_descriptor | Dart_const_descriptor